#####################################
#NIDAQMX LIBRARY GENERATION
#this should be done once and for all, please refer to ./other/README.txt
#the library is put in the Xvin lib directory so that all plug-ins have access to it.

NIDAQMX_DIR = /d/PROGRA~1/National\ Instruments/NI-DAQ/DAQmx\ ANSI\ C\ Dev
NICAIU_DLL_DIR = /c/WINDOWS/system32
LIB_NM = nidaqmx

lib : ../../lib/lib$(LIB_NM).a

$(NIDAQMX_DIR)/lib/lib$(LIB_NM).a : ./nidaq.defs $(NICAIU_DLL_DIR)/nicaiu.dll
	dlltool  -k -d ./nidaq.defs -l $(NIDAQMX_DIR)/lib/lib$(LIB_NM).a $(NICAIU_DLL_DIR)/nicaiu.dll

../../lib/lib$(LIB_NM).a: $(NIDAQMX_DIR)/lib/lib$(LIB_NM).a
	cp $(NIDAQMX_DIR)/lib/lib$(LIB_NM).a ../../lib
